Module
Inhalte
Index 🔎︎

# Anweisung DefInt

Legt den Standard-Variablentyp für Variablen fest, deren Name mit bestimmten Zeichen (dem angegebenen Zeichenbereich) anfängt, deren Typ jedoch nicht explizit durch ein Typ-Deklarationszeichen oder ein Schlüsselwort definiert wird.

## Syntax:

    Defxxx Zeichenbereich1[, Zeichenbereich2[,...]]

## Parameter:

Zeichenbereich: Buchstaben, welche die Variablen-Namensbereiche der zu definierenden Standard-Datentypen festlegen.

xxx: Schlüsselwort zur Definition des Standard-Variablentyps:

Schlüsselwort: voreingestellter Variablentyp

DefInt: Integer

## Beispiel:

    ' Prefix-Definitionen für die verschiedenen Typen von Variablen:

    DefBool b

    DefDate t

    DefDbl d

    DefInt i

    DefLng l

    DefObj o

    DefVar v

    Sub ExampleDefInt

        iCount=200 ' iCount ist implizit eine ganzzahlige Variable

    End Sub